Bug 212715 - [NEW PORT] devel/oniguruma6: Oniguruma library version 6
Summary: [NEW PORT] devel/oniguruma6: Oniguruma library version 6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL:
Keywords: easy, feature, needs-patch
Depends on:
Blocks:
 
Reported: 2016-09-16 00:30 UTC by Robert Zelaya
Modified: 2016-12-22 15:42 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback? (rob)


Attachments
Oniguruma version 6.1.1 (4.26 KB, patch)
2016-09-16 00:30 UTC, Robert Zelaya
no flags Details | Diff
same patch for 6.1.2 (4.48 KB, patch)
2016-12-02 20:28 UTC, Yuri Victorovich
no flags Details | Diff
same patch for 6.1.2 (4.19 KB, patch)
2016-12-02 20:47 UTC, Yuri Victorovich
no flags Details | Diff
Same patch against 3.8.1 (4.18 KB, patch)
2016-12-05 07:03 UTC, Yuri Victorovich
no flags Details | Diff
devel/onigurama: new port (4.41 KB, patch)
2016-12-20 19:42 UTC, Nikolai Lifanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Zelaya 2016-09-16 00:30:09 UTC
Created attachment 174820 [details]
Oniguruma version 6.1.1

Port Goals: 

1: Track Oniguruma's regular expressions library version 6. 

2: Start moving all FreeBSD ports that use oniguruma4 and oniguruma5 to oniguruma6. There are only a handful of ports that use oniguruma so this is not a large task.

3: I tested port php70 with oniguruma6. The port built without issues and php70 used mb_ereg without issues.

4: Use github.com tags to track versions.

Port Request:

1: Add myself to be a MAINTAINER.
Comment 1 Yuri Victorovich freebsd_committer 2016-12-02 20:28:36 UTC
Created attachment 177617 [details]
same patch for 6.1.2
Comment 2 Yuri Victorovich freebsd_committer 2016-12-02 20:29:45 UTC
One addition in 6.1.2: Added the 'test' target.
Comment 3 Yuri Victorovich freebsd_committer 2016-12-02 20:47:27 UTC
Created attachment 177619 [details]
same patch for 6.1.2

Simplified Makefile.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-12-05 05:52:18 UTC
@Yuri Setting TEST_TARGET=test and TEST_WRKSRC=${WRKSRC}/test should be all that's required to run the tests in this case.

@Robert are you happy with Yuri's update?
Comment 5 Robert Zelaya 2016-12-05 06:33:40 UTC
(In reply to Kubilay Kocak from comment #4)

The patch looks good....

I'm not home right now so I can't test Yuri's patch now.
Let me test the patch in the morning and I'll ping both of you.

Thanks for helping me on this patch Yuri and Kubilay.
Comment 6 Yuri Victorovich freebsd_committer 2016-12-05 07:03:20 UTC
Created attachment 177681 [details]
Same patch against 3.8.1

* Changed the test target as per Kubilay's suggestion.
* Changed line order to make porltint happy.

Another thing to consider is to name it without the version number: devel/oniguruma

Yuri
Comment 7 Yuri Victorovich freebsd_committer 2016-12-05 18:59:38 UTC
List of dependent ports:
* devel/libslang2
* textproc/jq
* mail/sylpheed
* lang/php56
* lang/php70
* lang/mosh
* japanese/jd

But they don't need to be updated immediately since they depend on oniguruma5.
Comment 8 Yuri Victorovich freebsd_committer 2016-12-08 19:09:44 UTC
Robert,

Did you have a chance to test it?

Yuri
Comment 9 Yuri Victorovich freebsd_committer 2016-12-20 17:13:23 UTC
Please consider renaming it to just devel/oniguruma.
Comment 10 Nikolai Lifanov freebsd_committer 2016-12-20 19:22:25 UTC
In my opinion the name change will need maintainer approval. Yuri, if you are willing to list yourself as MAINTAINER, I can proceed with port name change. Otherwise I will be happy to commit this as devel/onigurama6 and you can create a new issue to rename it.
Comment 11 Yuri Victorovich freebsd_committer 2016-12-20 19:30:08 UTC
Okay, list me as a maintainer.
Comment 12 Nikolai Lifanov freebsd_committer 2016-12-20 19:36:23 UTC
This doesn't need to be permanent. I can switch it back to Robert if he asks.
Comment 13 Yuri Victorovich freebsd_committer 2016-12-20 19:39:21 UTC
Okay. List me as in other ports (like qTox).
Comment 14 Nikolai Lifanov freebsd_committer 2016-12-20 19:42:11 UTC
Created attachment 178154 [details]
devel/onigurama: new port

Can you double-check this and let me know if it looks okay?
Comment 15 Nikolai Lifanov freebsd_committer 2016-12-20 20:04:00 UTC
poudriere testport is good
Comment 16 Yuri Victorovich freebsd_committer 2016-12-20 23:13:45 UTC
yes, looks good.
Comment 17 Nikolai Lifanov freebsd_committer 2016-12-21 14:37:08 UTC
I received some feedback on this so far.

1) DIST_SUBDIR should be put back as "ruby"
2) CONFLICTS line should be adjusted to use CONFLICTS_INSTALL and match current versions of oniguruma (4 and 5)
3) pkg-message should be trimmed to show maybe just the first paragraph and WWW. License, changelog, and attribution information should not be in pkg-message and it's a good idea to keep it under 24 lines in general.

I will try to reach out to Robert out of band to see if I can get his feedback too.
Comment 18 Yuri Victorovich freebsd_committer 2016-12-21 20:12:34 UTC
I agree with 2) and 3). I only don't see the reason for 1), ruby uses it along with many others. Why have "ruby" in the port?
Comment 19 Nikolai Lifanov freebsd_committer 2016-12-21 21:51:48 UTC
OK. I took a look at it and I agree with you on #1.
Comment 20 Nikolai Lifanov freebsd_committer 2016-12-22 15:11:03 UTC
I got more feedback and I will commit this as devel/oniguruma6 for now and if you still would like to maintain it and rename it, we can do it as a separate issue.
Comment 21 commit-hook freebsd_committer 2016-12-22 15:14:13 UTC
A commit references this bug:

Author: lifanov
Date: Thu Dec 22 15:14:05 UTC 2016
New revision: 429161
URL: https://svnweb.freebsd.org/changeset/ports/429161

Log:
  new port: devel/oniguruma6

  Oniguruma is a regular expressions library. The characteristics of this
  library is that different character encoding for every regular
  expression object can be specified.

  PR:		212715
  Submitted by:	yuri@rawbw.com, rob@theseusnetworking.com (earlier version)
  Reviewed by:	matthew
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D8871

Changes:
  head/devel/Makefile
  head/devel/oniguruma6/
  head/devel/oniguruma6/Makefile
  head/devel/oniguruma6/distinfo
  head/devel/oniguruma6/pkg-descr
  head/devel/oniguruma6/pkg-plist
Comment 22 Nikolai Lifanov freebsd_committer 2016-12-22 15:42:58 UTC
Committed, thanks!